<?php
  /**
   * The class provides helper functions to embed audio and flash video files, you must include jquery and swfobject inorder for this class to work correctly
   *
   * @author Macdonald Terrence Robinson
   * @package Libraries
   *
   */
  require_once 'media/MediaBase.php';
  
  class Media extends MediaBase
  {
    public function __construct($siteURL, $id, $width='100%', $height='100%' )
    {      
      parent::__construct($siteURL, $id, $width, $height);
    }
    
    public function generateFLVEmbedCode( $flvFilePath, $additionalFlashVars = array(), $params = array(), $attributes = array(), $jsDisabledText = '', $flashDisabledText = '' )
    {
      $playerURL =  $this->siteURL.'libs/standalone/media/players/jwFlvPlayer.swf';

      $flashVars = array();
      $flashVars['file'] = $flvFilePath;
      
      array_merge($flashVars, $additionalFlashVars);
      
      return $this->generateEmbedCode($playerURL, $flashVars, $params, $attributes, $jsDisabledText, $flashDisabledText);
    }
    
    
    public function generateAudioEmbedCode( $audioFilePath, $additionalFlashVars = array(), $params = array(), $attributes = array(), $jsDisabledText = '', $flashDisabledText = '' )
    {
      $playerURL =  $this->siteURL.'libs/standalone/media/players/webplayer.swf';

      $flashVars = array();
      $flashVars['src'] = $audioFilePath;
      $flashVars['autostart'] = 'no';
      $flashVars['loop'] = 'no';
      
      array_merge($flashVars, $additionalFlashVars);

      return $this->generateEmbedCode($playerURL, $flashVars, $params, $attributes, $jsDisabledText, $flashDisabledText);
    }

  }
?>
