<?php
  /**
   * This class is a wrapper around PHP's sockets library.
   * It provides helper functions such as making REST requests and posts
   *
   * @author Macdonald Robinson {@link http://macs-framework.sourceforge.net/}
  */
  class Sockets
  {
    //Returns an array([HEADER], [CONTENT]) so in you calling function use list($header, $content) = Sockets::httpRequest($host, $path, $params, $method='GET', $port=80);
    public static function httpRequest($host, $path, $params, $method='GET', $port=80)
    {
      // Params are a map from names to values
      $paramStr = "";
      foreach ($params as $name=>$val)
      {
        $paramStr .= $name . "=";
        $paramStr .= urlencode($val);
        $paramStr .= "&";
      }

   
      $method = strtoupper($method);

      // Create the connection
      $sock = fsockopen($host, $port);
      if ($method == "GET") {
        $path .= "?" . $paramStr;
      }
      
      fputs($sock, "$method $path HTTP/1.0\r\n");
      fputs($sock, "Host: $host\r\n");
      fputs($sock, "Content-type: " .
                   "application/x-www-form-urlencoded\r\n");
      if ($method == "POST") {
        fputs($sock, "Content-length: " .
                     strlen($paramStr) . "\r\n");
      }
      fputs($sock, "Connection: close\r\n\r\n");
      if ($method == "POST") {
        fputs($sock, $paramStr);
      }

      // Buffer the result
      $result = "";
      while (!feof($sock)) {
        $result .= fgets($sock,1024);
      }

      fclose($sock);

      // split the result header from the content
      $result = explode("\r\n\r\n", $result, 2);

      $header = isset($result[0]) ? $result[0] : '';
      $content = isset($result[1]) ? $result[1] : '';

      // return as array:
      return array($header, $content);
    }
  }
?>
