<?php
  /**
   * This Snippet allows you to easily add BingMaps
   * 
   * USAGE: {GenerateBingMap?mapId=`map1`&address=`address`&desc=`No description given`&width=`100%`&height=`400px`}
   *
   * @author Macdonald Terrence Robinson
   * @package Snippets
   *
   */
  require_once dirname(__FILE__).'/../BaseSnippets.php';
  
  class GenerateBingMap extends BaseSnippets
  {
    public static function init($controller)
    {
      self::$controller = $controller;
      echo '<script type="text/javascript" src="http://ecn.dev.virtualearth.net/mapcontrol/mapcontrol.ashx?v=6.2"></script>';
    }

    public static function start( $params )
    {
      if(( !isset($params['mapId']) ) || (!isset($params['address']) ))
        return;

      $mapId = $params['mapId'];
      $address = $params['address'];
      $desc = isset($params['desc'])? $params['desc']: 'No description given';

      $width = isset($params['width']) ? $params['width'] : '100%';
      $height = isset($params['height']) ? $params['height'] : '400px';
      
      return self::generateMapCode($mapId, $address,$desc, $width, $height);
    }

    protected static function generateMapCode( $mapId, $address, $desc, $width, $height )
    {
      if( ($mapId == null || $mapId == '') && ($address=='') )
        return;

      $mapCode = "
      <script type='text/javascript'>

        var $mapId = null;

        function GetMap$mapId(mapId, address)
        {
          $mapId = new VEMap(mapId);
          $mapId.LoadMap();
          $mapId.Find(null, address,null, null, null, null, true, true, null, true, GetCoordinates$mapId );
        }

        function GetCoordinates$mapId(layer, resultsArray, places, hasMore, veErrorMessage)
        {
          findPlaceResults = places[0].LatLong;
          var myShape = new VEShape(VEShapeType.Pushpin, findPlaceResults);
          myShape.SetDescription('$desc');
          $mapId.AddShape(myShape);
        }

        ".'$(document).ready(function(){ GetMap'.$mapId.'("'.$mapId.'", "'.$address.'"); });          
        </script>'."
        <div id=$mapId style='position:relative; width:$width; height:$height;'></div>      
      ";
      return $mapCode;
    }
  }
?>
