<?php
  /**
   * This Snippet allows you to easily load a content bucket, the content bucket can be made editable
   * which meens that it will get the edit in place editor when logged into the CMS. You can even specify if the content will be
   * Unique per page or common through out the site
   * 
   * USAGE: {LoadContentBucket?contentName=`subNav`&editable=`true`&uniquePerPage=`true`}
   *
   * @author Macdonald Terrence Robinson
   * @package Snippets
   *
   */
  require_once dirname(__FILE__).'/../BaseSnippets.php';
  
  class LoadContentBucket extends BaseSnippets
  {
    public static function start( $params = array() )
    {
      $contentName = isset($params['contentName'])? $params['contentName']: '';
      $editable = isset($params['editable'])? $params['editable']: true;    
      $uniquePerPage = isset($params['uniquePerPage'])? $params['uniquePerPage']: true;

      switch($editable)
      {
        case 'true':
          $editable = true;
        break;
        case 'false':
          $editable = false;
        break;
        default:
          $editable = true;
        break;
      }

      switch($uniquePerPage)
      {
        case 'true':
          $uniquePerPage = true;
        break;
        case 'false':
          $uniquePerPage = false;
        break;
        default:
          $uniquePerPage = true;
        break;
      }
      
      return self::$controller->loadContentBucket($contentName, array(), $editable, $uniquePerPage, Router::$controller, Router::$function);
    }
  }
?>
