<p>
  The 'IPLookup' Class provides functions to easily add Geo Targeting capabilities to your site.
</p>
<p>
  NOTE: This uses the a Binary version of the GeoLite City database
  <a href="http://www.maxmind.com/app/geolitecity" target="_blank">http://www.maxmind.com/app/geolitecity</a>
  <strong>you will need to download the Binary ZIP Format version, unzip it and place the file 'GeoLiteCity.dat'
  under '//libs/standalone/geoip/GeoIPCity.dat', make sure its named 'GeoIPCity.dat'</strong>
  The reason why I am not including it allong with the framework is because the database is around 28MB in size.
</p>
Example:<br />
<pre>
<code class="php">
//This is a controller function
function IPLookup()
{
  require_once '/libs/standalone/IPLookup.php';

  $contentVars = array();

  $IPLookup = new IPLookup();

  // To Get a list of all the IP addresses
  $ipAddress1 = $IPLookup->getIPsFromDomainName('google.com');

  // To Get 1 IP address
  $ipAddress2 = $IPLookup->getIPFromDomainName('youtube.com');

  $google =  '&lt;pre>Google&lt;br />
  '.print_r($IPLookup->lookup($ipAddress1[0]), true).'&lt;/pre>';
  $contentVars['Google'] = $google;

  $yahoo = '&lt;pre>Yahoo<br />'
  .print_r($IPLookup->lookup($ipAddress2), true).'&lt;/pre>';
  $contentVars['Yahoo'] = $yahoo;

  $IPLookup->close();

  $this->templateVars['rightContent'] = $this->loadMainContent('libraries/geoTargeting',
                                                            $contentVars);
  $this->display($this->templateVars);
}
</code>
</pre>
